Subject: [quicwg/base-drafts] Since ekr asked.... (#1973)

From: Mike Bishop <[email-masked]>
Date: Tue, 06 Nov 2018 01:36:20 -0800

You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/1973

-- Commit Summary --

  * Since ekr asked....

-- File Changes --

    M draft-ietf-quic-http.md (644)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/1973.patch
https://github.com/quicwg/base-drafts/pull/1973.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973

---

From: Marten Seemann <[email-masked]>
Date: Tue, 06 Nov 2018 01:37:59 -0800

marten-seemann approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#pullrequestreview-171929769

---

From: martinduke <[email-masked]>
Date: Tue, 06 Nov 2018 01:38:31 -0800

martinduke approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#pullrequestreview-171929973

---

From: Martin Thomson <[email-masked]>
Date: Tue, 06 Nov 2018 01:51:16 -0800

martinthomson approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#pullrequestreview-171935329

---

From: ekr <[email-masked]>
Date: Tue, 06 Nov 2018 01:57:18 -0800

LGTM

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#issuecomment-436195474

---

From: janaiyengar <[email-masked]>
Date: Tue, 06 Nov 2018 21:18:52 -0800

janaiyengar approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#pullrequestreview-172343255

---

From: Brian Trammell <[email-masked]>
Date: Wed, 07 Nov 2018 01:11:14 -0800

britram commented on this pull request.

this is fine, in isolation, but I do feel like we haven't had enough discussion of the benefits and drawbacks of this approach as compared to just calling it SPDY/2...

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#pullrequestreview-172393960

---

From: Ryan Hamilton <[email-masked]>
Date: Wed, 07 Nov 2018 15:07:23 +0000 (UTC)

I'm still holding out for SSL 4.0

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#issuecomment-436654383

---

From: adamroach <[email-masked]>
Date: Wed, 07 Nov 2018 19:38:23 -0800

adamroach commented on this pull request.

> +
+As in HTTP/2, Zanzibar/BuckBuck/McFate uses special pseudo-header fields
+beginning with the ':' character (ASCII 0x3a) to convey the target URI, the
+method of the request, and the status code for the response.  These
+pseudo-header fields are defined in Section 8.1.2.3 and 8.1.2.4 of {{!RFC7540}}.
+Pseudo-header fields are not HTTP header fields.  Endpoints MUST NOT generate
+pseudo-header fields other than those defined in {{!RFC7540}}.  The restrictions
+on the use of pseudo-header fields in Section 8.1.2.1 of {{!RFC7540}} also apply
+to Zanzibar/BuckBuck/McFate.
+
+Zanzibar/BuckBuck/McFate uses QPACK header compression as described in [QPACK],
+a variation of HPACK which allows the flexibility to avoid
+header-compression-induced head-of-line blocking.  See that document for
+additional details.
+
+An Zanzibar/BuckBuck/McFate implementation MAY impose a limit on the maximum

Nit: "A Zanzibar/BuckBuck/McFate implementation..."

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#pullrequestreview-172795886

---

From: Martin Thomson <[email-masked]>
Date: Wed, 07 Nov 2018 23:08:57 -0800

martinthomson commented on this pull request.

```suggestion
A Zanzibar/BuckBuck/McFate implementation MAY impose a limit on the maximum
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#discussion_r231782071

---

From: Mike Bishop <[email-masked]>
Date: Thu, 08 Nov 2018 09:10:24 -0800

@MikeBishop pushed 1 commit.

7627dc7  A/An

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973/files/7a43755900487dcf1aa59d9f338573f4712b64e2..7627dc79157e76987e67544522e941e1533ad5c1

---

From: Mike Bishop <[email-masked]>
Date: Tue, 13 Nov 2018 18:59:22 +0000 (UTC)

483bad4  HTTP/3, for real

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973/files/7627dc79157e76987e67544522e941e1533ad5c1..483bad426b5e337138b9bc783c380a29308ca253

---

From: Mike Bishop <[email-masked]>
Date: Tue, 13 Nov 2018 11:02:09 -0800

59b48c8  More a/an

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973/files/483bad426b5e337138b9bc783c380a29308ca253..59b48c89d4ff150025696701dad97c58743f1509

---

From: Mike Bishop <[email-masked]>
Date: Tue, 13 Nov 2018 11:09:09 -0800

Merged #1973 into master.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#event-1963965187

---

From: MikkelFJ <[email-masked]>
Date: Tue, 13 Nov 2018 11:44:37 -0800

That is so much better than that shady operation ...

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1973#issuecomment-438409873